### Method

# Gio SimpleProxyResolver set_uri_proxy

since: 2.36

#### Declaration [src]

    void
    g_simple_proxy_resolver_set_uri_proxy (
      GSimpleProxyResolver* resolver,
      const gchar* uri_scheme,
      const gchar* proxy
    )

#### Description [src]

Adds a URI-scheme-specific proxy to `resolver`; URIs whose scheme matches `uri_scheme` (and which don’t match `GSimpleProxyResolver:ignore-hosts`) will be proxied via `proxy`.

As with `GSimpleProxyResolver:default-proxy`, if `proxy` starts with “socks://”, `GSimpleProxyResolver` will treat it as referring to all three of the socks5, socks4a, and socks4 proxy types.

Available since: 2.36

#### Parameters

`uri_scheme`

  Type: `const gchar*`

  The URI scheme to add a proxy for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`proxy`

  Type: `const gchar*`

  The proxy to use for `uri_scheme`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.